WordPress.org

Plugin Directory

Show Stock Quotes

Display up to 20 stock quotes per portfolio. Each widget instance is considered a portfolio, so just add more widget instances for more portfolios.

Disclaimer

This data is provided by Google Finance and per their disclaimer, it can only be used at a noncommercial level. Also, Google has stated that this API is deprecated and has no exact shutdown date.

Data is provided by financial exchanges and may be delayed as specified by financial exchanges or our data providers. Google does not verify any data and disclaims any obligation to do so. Google, its data or content providers, the financial exchanges and each of their affiliates and business partners (A) expressly disclaim the accuracy, adequacy, or completeness of any data and (B) shall not be liable for any errors, omissions or other defects in, delays or interruptions in such data, or for any actions taken in reliance thereon. Neither Google nor any of our information providers will be liable for any damages relating to your use of the information provided herein. As used here, “business partners” does not refer to an agency, partnership, or joint venture relationship between Google and any such parties. You agree not to copy, modify, reformat, download, store, reproduce, reprocess, transmit or redistribute any data or information found herein or use any such data or information in a commercial enterprise without obtaining prior written consent. All data and information is provided “as is” for personal informational purposes only, and is not intended for trading purposes or advice. Please consult your broker or financial representative to verify pricing before executing any trade. Either Google or its third party data or content providers have exclusive proprietary rights in the data and information provided. Please find all listed exchanges and indices covered by Google along with their respective time delays from the table on the left. Advertisements presented on Google Finance are solely the responsibility of the party from whom the ad originates. Neither Google nor any of its data licensors endorses or is responsible for the content of any advertisement or any goods or services offered therein.

Requires: 3.8 or higher
Compatible up to: 4.2.4
Last Updated: 2015-4-24
Active Installs: 600+

Ratings

4.5 out of 5 stars

Support

1 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1
100,1,1 100,1,1
100,1,1
100,1,1